hell.yeah
Goto Top

PfSense Update

Hallo

Ich habe folgendes Problem, meine pfSense lässt sich von 2.7.0 nicht Updaten.
FB reboot, Browser Cache leeren hilft auch nicht.

Habe jetzt im Terminal mal certctl rehash probiert, mit folgendem Ergebnis. (das ist nur ein Ausschnit, betrifft alle certs....
Was kann ich machen? Bin für Tipps dankbar face-smile


install: symlink ../../../usr/share/certs/trusted/Microsoft_ECC_Root_Certificate_Authority_2017.pem -> /etc/ssl/certs/8d89cda1.1: Permission denied
install: symlink ../../../usr/share/certs/trusted/Microsoft_RSA_Root_Certificate_Authority_2017.pem -> /etc/ssl/certs/bf53fb88.1: Permission denied
install: symlink ../../../usr/share/certs/trusted/NAVER_Global_Root_Certification_Authority.pem -> /etc/ssl/certs/3fb36b73.1: Permission denied

Content-Key: 92183139022

Url: https://administrator.de/contentid/92183139022

Printed on: May 23, 2024 at 00:05 o'clock

Member: radiogugu
radiogugu May 14, 2024 at 12:57:24 (UTC)
Goto Top
Mahlzeit.

Hattest du auch mal versucht die Config zu sichern, die 2.7.2 "nackt" installieren und dann die Config wiederherstellen?

Wurde die PFSense neu gestartet, vor dem Update?

Gruß
Marc
Member: C.R.S.
C.R.S. May 14, 2024 at 13:04:12 (UTC)
Goto Top
Das Update bei pfSense ist Glückssache. Mach ein Konfigurations-Backup, starte eine Installation und nutze die Recovery-Option, bei der die Konfiguration von einer aktiven Partition gelesen wird. Würde die nicht erkannt, kann man auch die Konfiguration per USB-Stick hinterlegen. Dauert kaum länger und hinterlässt ein sauberes System.

Grüße
Richard
Member: Spirit-of-Eli
Spirit-of-Eli May 14, 2024 at 13:23:19 (UTC)
Goto Top
Moin,

was ist denn überhaupt der Fehler?

Gruß
Spirit
Member: Pjordorf
Pjordorf May 14, 2024 at 21:32:43 (UTC)
Goto Top
Hallo,

Zitat von @Spirit-of-Eli:
was ist denn überhaupt der Fehler?
Schreibt er doch "Geht nicht" face-smile

Gruss,
Peter
Member: hell.yeah
hell.yeah May 15, 2024 at 06:35:29 (UTC)
Goto Top
Guten Morgen,

gute frage ;) Wenn ich auf Refresh drücke folgt: Obtaining update status, danach steht nach wie vor die alte Version 2.7
Unter System/Update/System Update sehe ich das es eine neue Version gibt, kann diese aber nicht Installieren:
brave_fgojn4hukt
brave_olnf36gk6m
brave_swsrlkzipv
brave_dmsa7flsd6
Member: Spirit-of-Eli
Spirit-of-Eli May 15, 2024 at 06:37:29 (UTC)
Goto Top
Zitat von @hell.wien:

Guten Morgen,

gute frage ;) Wenn ich auf Refresh drücke folgt: Obtaining update status, danach steht nach wie vor die alte Version 2.7
Unter System/Update/System Update sehe ich das es eine neue Version gibt, kann diese aber nicht Installieren:
brave_fgojn4hukt
brave_olnf36gk6m
brave_swsrlkzipv
brave_dmsa7flsd6

Na das ist doch mal was anstatt "Geht nicht".

Mach mal auf der Console ein "pkg update" und "pkg upgrade".
Member: hell.yeah
hell.yeah May 15, 2024 at 12:08:30 (UTC)
Goto Top
Output:
ld-elf.so.1: Shared object "libssl.so.30" not found, required by "pkg"
Member: Spirit-of-Eli
Spirit-of-Eli May 15, 2024 at 12:12:15 (UTC)
Goto Top
Und "pkg-static upgrade -f" ?
Member: Spirit-of-Eli
Spirit-of-Eli May 15, 2024 at 12:12:50 (UTC)
Goto Top
Ansonsten, wie schon erwähnt, Backup und neuinstallieren Auf der neuesten Version.
Member: hell.yeah
hell.yeah May 15, 2024 at 17:41:05 (UTC)
Goto Top
pkg-static: Insufficient privilege to upgrade packages

Backup und neu Installation geht im moment nicht. Bin noch paar Wochen Physikalisch nicht vor Ort....
Member: Spirit-of-Eli
Spirit-of-Eli May 15, 2024 at 18:47:31 (UTC)
Goto Top
Zitat von @hell.yeah:

pkg-static: Insufficient privilege to upgrade packages

Backup und neu Installation geht im moment nicht. Bin noch paar Wochen Physikalisch nicht vor Ort....

Das Berrchtigungs Thema ist komisch. Von wo aus führst du den Befehl aus?
Member: hell.yeah
hell.yeah May 15, 2024 at 18:55:53 (UTC)
Goto Top
ssh
Member: aqui
Solution aqui May 17, 2024 at 08:07:25 (UTC)
Goto Top
Zertifikate neu laden über die Shell dann klappt auch das Update.
Member: hell.yeah
hell.yeah May 17, 2024 at 13:00:17 (UTC)
Goto Top
Wie wäre der Befehl?
Member: Spirit-of-Eli
Spirit-of-Eli May 17, 2024 at 13:04:17 (UTC)
Goto Top
Member: hell.yeah
Solution hell.yeah May 17, 2024 at 15:19:10 (UTC)
Goto Top
certctl rehash hat jetzt doch funktioniert (in der Shell, steht trotzdem Permission denied).
In der GUI konnte ich dann aber endlich das Update durchführen.


Wie die Firewall aber mit dem Reboot begonnen hatte, wurde ich schon etwas nervös ob das ding wieder hochkommt. (bin paar Tausend km von zuhause entfernt, und die Frau ist daheim und benötigt das Internet #mutkannmannichtkaufen :P ) nach 10min war sie wieder Online

Ende gut, alles gut!!

DANKE